extern int create_table(FILE *schema);
extern struct table_handler *open_datafile(char *table_name);
extern long unsigned int add_rec(struct table_handler *open_datafile, void *data); // returns oid
extern int read_rec(unsigned long int recno, void **recbuf, struct table_handler*);
extern unsigned long int read_next(void **recbuf, struct table_handler*);
extern int del_rec(unsigned long int recno);
extern int update_rec(int recno, void *recbuf);
extern int close_datafile(struct table_handler *handler);

#define HEADER_SIZE sizeof(int) + sizeof(char) + sizeof(long)
#define OID_OFFSET sizeof(int) + sizeof(char)

#define DBDIR "/usr/home/hadara/code/c/ab/db/"

/* flags in field header */
#define IS_REMOVED 2
