#include <stdio.h>

/* format is described in ../doc/table_tech.txt */

extern int add_field(char *name, char type, char size, FILE *stream);

int main(void) {
	FILE *stream;
	unsigned long int oid = 0;

	stream = fopen("../schema.txt", "w+");
	fprintf(stream, "\nkalamaja00");
	fwrite(&oid, sizeof(unsigned long int), 1, stream);
	add_field("field1", 'v', 43, stream);
	add_field("field2", 'v', 23, stream);
	add_field("field3", 'i', sizeof(int), stream);
	add_field("field4", 'i', sizeof(int), stream);
	fclose(stream);
}

int add_field(char *name, char type, char size, FILE *stream) {
	char namelen;

	namelen = strlen(name);
	fwrite(&namelen, sizeof(char), 1, stream);
	fprintf(stream, "%s%c", name, type); 
	fwrite(&size, sizeof(char), 1, stream);
}
